# PyNA-tta-S

![PyNA-tta-S](SRC/BG.png?raw=true)

## Overview
PyNA-tta-S is the piñata package designed for onboard deployment optimization on edge devices. It leverages advanced metaheuristic optimization algorithms, including Genetic Algorithm (GA), Particle Swarm Optimization (PSO), and Grey Wolf Optimizer (GWO), to efficiently determine the most effective model architecture.

## Key Features
- Metaheuristic Algorithms: Incorporates GA, PSO, and GWO for robust optimization.
- Model Architecture Selection: Automates the selection of optimal architectures for specific onboard applications.
- Edge Device Compatibility: Tailored for efficient deployment on various edge devices.
- Performance Metrics: Evaluates architectures based on predefined or custom metrics relevant to edge computing.
## Customization: 
Allows users to define custom constraints and requirements for model architecture.
User-Friendly Interface: Easy-to-use API, facilitating integration with existing projects.
## Use Cases
- IoT Applications: Optimizing models for IoT devices with limited computing resources.
- Remote Sensing: Enhancing the efficiency of models deployed in remote sensing edge devices.
- Autonomous Vehicles: Streamlining models for real-time processing in autonomous vehicles.
